<template lang="html">
	<div class="container">
	<div class="navbar navbar-lg navbar-light bg-info">
	    <div class="navbar-brand">
	      <div class="text-white">
	        Trayectos DESTACAME
	     </div>
    </div>
    <div class="nav-links">
        <button class="btn btn-info text-light" v-on:click="gotrayecto">Trayectos</button>
        <button class="btn btn-info text-light" v-on:click="gopasajero">Pasajeros</button>
        <button class="btn btn-info text-light" v-on:click="gochofer">Choferes</button>
        <button class="btn btn-info text-light" v-on:click="gobus">Buses</button>
    </div>
  </div>
  <br>
		<div>
			<form class="row" @submit="onSubmit">
				<div class="col-md-6">
					<label class="form-control">Rut pasajero</label>
					<input type="text" class="form-control" v-model.trim="form.rut_pasajero">
				</div>
				<div class="col-md-6">
					<label class="form-control">Nombre pasajero</label>
					<input type="text" class="form-control" v-model.trim="form.nombre_pasajero">
				</div>
				<div class="col-md-6">
					<label class="form-control">Apellido pasajero</label>
					<input type="text" class="form-control" v-model.trim="form.apellido_pasajero">
				</div>
				<div class="col-md-6">
					<label class="form-control">Telefono</label>
					<input type="text" class="form-control" v-model.trim="form.telefono_pasajero">
				</div>
				<div class="col-md-12">
				<br><br>
					<button class="btn btn-warning" type="submit">Nuevo</button>
					<button class="btn btn-danger" v-on:click="volver">Volver</button>
				</div>
			</form>
		</div>
	</div>
</template>

<script>

import axios from 'axios';

	export default {
		data() {
			return{
		        form   : {
		        	rut_pasajero : '',
					nombre_pasajero : '',
					apellido_pasajero : '',
					telefono_pasajero : ''
		        }
			}
		},
		methods: {
			onSubmit(e){
				e.preventDefault()

				const path = `http://localhost:8000/usuarios/pasajero/`
				axios.post(path,this.form).then((response) => {
					this.form.rut_pasajero = response.data.rut_pasajero
					this.form.nombre_pasajero = response.data.nombre_pasajero
					this.form.apellido_pasajero = response.data.apellido_pasajero
					this.form.telefono_pasajero = response.data.telefono_pasajero
				alert("Pasajero creado correctamente")
				})
				.catch((error) => {console.log(error);alert("Pasajero no se pudo crear correctamente")})		
			},
			volver(){
				location.href = '/pasajero'			
			},
			gotrayecto(e){
				e.preventDefault()
				location.href = '/trayecto'			
			},
			gochofer(e){
				e.preventDefault()
				location.href = '/chofer'			
			},
			gopasajero(e){
				e.preventDefault()
				location.href = '/pasajero'			
			},
			gobus(e){
				e.preventDefault()
				location.href = '/bus'			
			},
		},
		created(){
			this.gotrayecto()
			this.gochofer()
			this.gopasajero()
			this.gobus()
		}
	}
</script>

<style lang="css" scoped>
</style>